LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
ContextMenuExecuteEvent Struct Referencepublished

contains all information about the requested context menu. More...

`import"ContextMenuExecuteEvent.idl";`

## Public Attributes
::com::sun::star::awt::XWindow | SourceWindow
| contains the window where the context menu has been requested More...
::com::sun::star::awt::Point | ExecutePosition
| contains the position the context menu will be executed at. More...
::com::sun::star::container::XIndexContainer | ActionTriggerContainer
| enables the access to the menu content. More...
::com::sun::star::view::XSelectionSupplier | Selection
| provides the current selection inside the source window. More...

## Detailed Description

contains all information about the requested context menu.

## Member Data Documentation

::com::sun::star::container::XIndexContainer ActionTriggerContainer

enables the access to the menu content.

The implementing object has to support the service com::sun::star::ui::ActionTriggerContainer;

::com::sun::star::awt::Point ExecutePosition

contains the position the context menu will be executed at.

::com::sun::star::view::XSelectionSupplier Selection

provides the current selection inside the source window.

::com::sun::star::awt::XWindow SourceWindow

contains the window where the context menu has been requested

The documentation for this struct was generated from the following file:

- com/sun/star/ui/ContextMenuExecuteEvent.idl